Bug 1232908 (CVE-2015-3244) - CVE-2015-3244 JSF: Information disclosure due to missing access restriction in portlet resource dispatching
Summary: CVE-2015-3244 JSF: Information disclosure due to missing access restriction i...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-3244
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20150714,repor...
Depends On: 1241207 1241208 1241209
Blocks: 1213008
TreeView+ depends on / blocked
 
Reported: 2015-06-17 19:30 UTC by Chess Hazlett
Modified: 2019-06-08 20:37 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was found that JavaServer Faces PortletBridge-based portlets using GenericPortlet's default resource serving did not restrict access to resources within the web application. An attacker could set the resource ID field of a URL to potentially bypass security constraints and gain access to restricted resources.
Clone Of:
Environment:
Last Closed: 2015-07-14 19:30:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1226 normal SHIPPED_LIVE Moderate: Red Hat JBoss Portal 6.2.0 security update 2015-07-14 20:38:00 UTC

Description Chess Hazlett 2015-06-17 19:30:10 UTC
It was found that JavaServer Faces PortletBridge-based portlets using GenericPortlet's default resource serving did not restrict access to resources within the web application. An attacker could set the resource ID field of a URL to potentially bypass security constraints and gain access to restricted resources.

Comment 2 Martin Prpič 2015-07-13 12:26:41 UTC
Acknowledgements:

Red Hat would like to thank Liferay, Inc. for reporting this issue.

Comment 3 errata-xmlrpc 2015-07-14 16:38:06 UTC
This issue has been addressed in the following products:

  JBoss Portal 6.2.0

Via RHSA-2015:1226 https://rhn.redhat.com/errata/RHSA-2015-1226.html


Note You need to log in before you can comment on or make changes to this bug.